org.eclipse.graphiti.ui.internal.action

## Class DeleteAction

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.action.AbstractAction
    - - org.eclipse.jface.action.Action
      - - org.eclipse.gef.ui.actions.WorkbenchPartAction
        - - org.eclipse.gef.ui.actions.SelectionAction
          - - org.eclipse.graphiti.ui.internal.action.AbstractPreDefinedAction
            - - org.eclipse.graphiti.ui.internal.action.DeleteAction

All Implemented Interfaces:
  org.eclipse.gef.Disposable, org.eclipse.gef.ui.actions.UpdateAction, IAvailable, IContextAndFeatureProvider, org.eclipse.jface.action.IAction

    public class DeleteAction
    extends AbstractPreDefinedAction
    implements IContextAndFeatureProvider

### Field Summary

Fields
`static java.lang.String` `ACTION_ID`

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TOOL_TIP_TEXT`

### Constructor Summary

Constructors
Constructor and Description
`DeleteAction(org.eclipse.ui.IWorkbenchPart part, IConfigurationProvider configurationProvider)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IContext` `createContext(PictogramElement pe)`
`boolean` `isAvailable()`
`IFeature` `provideFeatureForContext(IContext context)`
`void` `run()`

### Methods inherited from class org.eclipse.gef.ui.actions.SelectionAction

`dispose, setSelectionProvider, update`

### Methods inherited from class org.eclipse.gef.ui.actions.WorkbenchPartAction

`isEnabled, setLazyEnablementCalculation`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, removePropertyChangeListener`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ACTION_ID

    public static final java.lang.String ACTION_ID

### Constructor Detail

#### DeleteAction

    public DeleteAction(org.eclipse.ui.IWorkbenchPart part,
                        IConfigurationProvider configurationProvider)

### Method Detail

#### isAvailable

    public boolean isAvailable()

Specified by:
  `isAvailable` in interface `IAvailable`

#### run

    public void run()

Specified by:
  `run` in interface `org.eclipse.jface.action.IAction`
Overrides:
  `run` in class `org.eclipse.jface.action.Action`

#### createContext

    public IContext createContext(PictogramElement pe)

Specified by:
  `createContext` in interface `IContextAndFeatureProvider`

#### provideFeatureForContext

    public IFeature provideFeatureForContext(IContext context)

Specified by:
  `provideFeatureForContext` in interface `IContextAndFeatureProvider`